/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"move.s"

	.ident	"@(#)libPW:i386/move.s	1.1.1.1"

	.globl	move

move:
	pushl	%esi
	pushl	%edi
	movl	4(%ebp),%esi
	movl	8(%ebp),%edi
	movl	%edi,%eax
	movl	12(%ebp),%ecx
	rep ;  smovb
	popl	%edi
	popl	%esi
	ret
